Bug 204883 - Boot fails in insmod after upgrade from fc5 (x86) to fc6t2 (x86_64)
Boot fails in insmod after upgrade from fc5 (x86) to fc6t2 (x86_64)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-08-31 21:18 EDT by George R. Goffe
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 23:48:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description George R. Goffe 2006-08-31 21:18:18 EDT
Description of problem:

After running the upgrade option on a fc5 (x86) (final?) using the fc6t2 x86_64
cd's, my system will not boot.

Version-Release number of selected component (if applicable):

FC6T2 kernel

How reproducible:

Select the upgrade option from a FC5 system using the FC6T2 (x86_64)
installation cd's

Steps to Reproduce:
1.
2.
3.
  
Actual results:

System NOT bootable

Expected results:

A running system

Additional info:

By the way, when you boot the fc6t2 rescue cd, it asks for the location of the
install images so you have to replace the cd with volume 1 of the installation
set. Sort of makes the rescue cd useless.

Here's a boot msgs log produced by connecting the serial port to another system
and running a vt100 emulator. MANY THANKS to tldp.org for the instructions. They
worked like a charm.

    GNU GRUB version 0.97 (639K lower / 1047400K upper memory)

 +------------------------------------------------------------------------+
 | Fedora Core (2.6.17-1.2517.fc6) |
 | Fedora Core ( # 4 2.6.16.16) |
 | |
 +-------------------------------------------------------------------------+
      Use the ^ and v keys to select which entry is highlighted.
      Press enter to boot the selected OS, 'e' to edit the
      commands before booting, 'a' to modify the kernel arguments
      before booting, or 'c' for a command-line.

                                                                        

  Booting 'Fedora Core (2.6.17-1.2517.fc6)'

root (hd0,0)
 Filesystem type is ext2fs, partition type 0x83
kernel /vmlinuz-2.6.17-1.2517.fc6 ro root=/dev/sda2 rhgb console=tty0 console=t
tyS0,9600n8
   [Linux-bzImage, setup=0x1e00, size=0x1ff7ed]
initrd /initrd-2.6.17-1.2517.fc6.img
   [Linux-initrd @ 0x37ed0000, 0x11fc3d bytes]

Bootdata ok (command line is ro root=/dev/sda2 rhgb console=tty0 console=ttyS0,)
Linux version 2.6.17-1.2517.fc6 (brewbuilder@hs20-bc1-6.build.redhat.com) (gcc 6
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e8000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000003ffda300 (usable)
 BIOS-e820: 000000003ffda300 - 0000000040000000 (reserved)
 BIOS-e820: 00000000f0000000 - 00000000f4000000 (reserved)
 BIOS-e820: 00000000fec00000 - 00000000fed40000 (reserved)
 BIOS-e820: 00000000fed45000 - 0000000100000000 (reserved)
DMI 2.4 present.
No NUMA configuration found
Faking a node at 0000000000000000-000000003ffda000
Bootmem setup node 0 0000000000000000-000000003ffda000
ACPI: PM-Timer IO Port: 0xf808
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
Processor #0 15:4 APIC version 20
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
Processor #1 15:4 APIC version 20
ACPI: LAPIC (acpi_id[0x03] lapic_id[0x02] disabled)
ACPI: LAPIC (acpi_id[0x04] lapic_id[0x03] disabled)
ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x02] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x03] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x04] high edge lint[0x1])
ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 1, version 32, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
Setting APIC routing to physical flat
Using ACPI (MADT) for SMP configuration information
Nosave address range: 000000000009f000 - 00000000000a0000
Nosave address range: 00000000000a0000 - 00000000000e8000
Nosave address range: 00000000000e8000 - 0000000000100000
Allocating PCI resources starting at 50000000 (gap: 40000000:b0000000)
SMP: Allowing 4 CPUs, 2 hotplug CPUs
Built 1 zonelists. Total pages: 254161
Kernel command line: ro root=/dev/sda2 rhgb console=tty0 console=ttyS0,9600n8
Initializing CPU#0
PID hash table entries: 4096 (order: 12, 32768 bytes)
time.c: Using 3.579545 MHz WALL PM GTOD PIT/TSC timer.
time.c: Detected 3200.229 MHz processor.
Console: colour VGA+ 80x25
Lock dependency validator: Copyright (c) 2006 Red Hat, Inc., Ingo Molnar
... MAX_LOCKDEP_SUBCLASSES: 8
... MAX_LOCK_DEPTH: 30
... MAX_LOCKDEP_KEYS: 2048
... CLASSHASH_SIZE: 1024
... MAX_LOCKDEP_ENTRIES: 8192
... MAX_LOCKDEP_CHAINS: 8192
... CHAINHASH_SIZE: 4096
 memory used by lock dependency info: 1120 kB
 per task-struct memory footprint: 1680 bytes
Dentry cache hash table entries: 131072 (order: 8, 1048576 bytes)
Inode-cache hash table entries: 65536 (order: 7, 524288 bytes)
Checking aperture...
Memory: 1013620k/1048424k available (2483k kernel code, 34416k reserved, 2049k )
Calibrating delay using timer specific routine.. 6407.38 BogoMIPS (lpj=12814765)
Security Framework v1.0.0 initialized
SELinux: Initializing.
SELinux: Starting in permissive mode
selinux_register_security: Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 256
CPU: Trace cache: 12K uops, L1 D cache: 16K
CPU: L2 cache: 2048K
using mwait in idle threads.
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 0
CPU0: Thermal monitoring enabled (TM1)
lockdep: not fixing up alternatives.
ACPI: Core revision 20060707
Using local APIC timer interrupts.
result 12500820
Detected 12.500 MHz APIC timer.
lockdep: not fixing up alternatives.
Booting processor 1/2 APIC 0x1
Initializing CPU#1
Calibrating delay using timer specific routine.. 6400.74 BogoMIPS (lpj=12801483)
CPU: Trace cache: 12K uops, L1 D cache: 16K
CPU: L2 cache: 2048K
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 0
CPU1: Thermal monitoring enabled (TM1)
              Intel(R) Pentium(R) 4 CPU 3.20GHz stepping 03
Brought up 2 CPUs
testing NMI watchdog ... OK.
migration_cost=7
checking if image is initramfs... it is
Freeing initrd memory: 1151k freed
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: Using MMCONFIG at f0000000
ACPI: Interpreter enabled
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
ACPI: Assume root bridge [\_SB_.PCI0] bus is 0
PCI: Ignoring BAR0-3 of IDE controller 0000:00:1f.1
PCI: Transparent bridge - 0000:00:1e.0
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 *10 11 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 *10 11 14 15)
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 *10 11 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 *5 6 7 10 11 14 15)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 *5 6 7 10 11 14 15)
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 7 10 *11 14 15)
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 10 *11 14 15)
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 7 10 11 14 15) *0, disabled.
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 14 devices
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq". If it helps, post a report
PCI-GART: No AMD northbridge found.
pnp: 00:0b: ioport range 0x4d0-0x4d1 has been reserved
pnp: 00:0c: ioport range 0x400-0x48f could not be reserved
pnp: 00:0c: ioport range 0xf800-0xf87f could not be reserved
pnp: 00:0c: ioport range 0xfa00-0xfa3f has been reserved
pnp: 00:0c: ioport range 0xfc00-0xfc7f has been reserved
pnp: 00:0c: ioport range 0xfc80-0xfcff has been reserved
pnp: 00:0c: ioport range 0xfe00-0xfe7f has been reserved
pnp: 00:0c: ioport range 0xfe80-0xfeff has been reserved
pnp: 00:0c: ioport range 0xcb0-0xcbf has been reserved
PCI: Bridge: 0000:00:01.0
  IO window: disabled.
  MEM window: f4000000-f91fffff
  PREFETCH window: e0000000-e81fffff
PCI: Bridge: 0000:00:1c.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:1c.4
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:1c.5
  IO window: disabled.
  MEM window: e8200000-e84fffff
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:1e.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
GSI 16 sharing vector 0xA9 and IRQ 16
ACPI: PCI Interrupt 0000:00:01.0[A] -> GSI 16 (level, low) -> IRQ 169
ACPI: PCI Interrupt 0000:00:1c.4[A] -> GSI 16 (level, low) -> IRQ 169
GSI 17 sharing vector 0xB1 and IRQ 17
ACPI: PCI Interrupt 0000:00:1c.5[B] -> GSI 17 (level, low) -> IRQ 177
NET: Registered protocol family 2
IP route cache hash table entries: 32768 (order: 6, 262144 bytes)
TCP established hash table entries: 65536 (order: 9, 3670016 bytes)
TCP bind hash table entries: 32768 (order: 8, 1835008 bytes)
TCP: Hash tables configured (established 65536 bind 32768)
TCP reno registered
audit: initializing netlink socket (disabled)
audit(1156935310.784:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
SELinux: Registering netfilter hooks
Initializing Cryptographic API
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
assign_interrupt_mode Found MSI capability
pcie_portdrv_probe->Dev[27d0:8086] has invalid IRQ. Check vendor BIOS
assign_interrupt_mode Found MSI capability
assign_interrupt_mode Found MSI capability
assign_interrupt_mode Found MSI capability
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI (exconfig-0455): Dynamic SSDT Load - OemId [COMPAQ] OemTableId [ CPU_TM2] ]
ACPI: Processor [CPU0] (supports 8 throttling states)
ACPI: Processor [CPU1] (supports 8 throttling states)
ACPI Exception (acpi_processor-0681): AE_NOT_FOUND, Processor Device is not pre]
ACPI: Getting cpuindex for acpiid 0x3
ACPI Exception (acpi_processor-0681): AE_NOT_FOUND, Processor Device is not pre]
ACPI: Getting cpuindex for acpiid 0x4
Real Time Clock Driver v1.12ac
Non-volatile memory driver v1.2
Linux agpgart interface v0.101 (c) Dave Jones
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
00:08: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ICH7: IDE controller at PCI slot 0000:00:1f.1
ACPI: PCI Interrupt 0000:00:1f.1[A] -> GSI 17 (level, low) -> IRQ 177
ICH7: chipset revision 1
ICH7: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0x10a0-0x10a7, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0x10a8-0x10af, BIOS settings: hdc:pio, hdd:pio
hda: HL-DT-ST RW/DVD GCC-4482B, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide-floppy driver 0.99.newide
usbcore: registered new driver libusual
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
PNP: PS/2 Controller [PNP0303:KBD,PNP0f0e:PS2M] at 0x60,0x64 irq 1,12
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
mice: PS/2 mouse device common for all mice
md: md driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 4.39
TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
input: AT Translated Set 2 keyboard as /class/input/input0
ACPI: (supports S0 S1 S3 S4 S5)
Freeing unused kernel memory: 208k freed
Write protecting the kernel read-only data: 471k
Red Hat nash version 5.1.2 starting
Mounting proc filesystem
Mounting sysfs filesystem
Creating /dev
Creating initial device nodes
Setting up hotplug.
Creating block device nodes.
Loading scsi_mod.kKernel panic - not syncing: Attempted to kill init!
o module
insmod : can't read '/l
Comment 1 David Lawrence 2006-09-05 11:20:49 EDT
Reassigning to correct owner, kernel-maint.
Comment 2 Jon Stanley 2007-12-30 20:38:22 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 3 George R. Goffe 2007-12-31 18:48:38 EST
Jon,

Thanks for your input.

I've pretty much given up with my efforts to further the Fedora cause. Here are
my reasons:

1) I opened this case OVER a year ago. NO responses til now. Not exactly what I
would call a timely response I'm sure you'll agree.

2) I have joined several of the fedora lists (fedora-dev comes to mind off the
top of my head. I have posted to the list several times but have NOT received
any responses except from Rahul.

I'm NOT a developer but I HAVE a lot of experience working with systems (> 40
years) of all kinds. I will NEVER tell anyone that I know it all because I just
don't. I do expect to be listened to when I request info or make a suggestion.
EVEN if it's just to tell me to go to hell. This is not unreasonable, I do
listen AND reply to other people when they address me. I just expect the same
treatment.

Regards,

George...
Comment 4 George R. Goffe 2007-12-31 18:51:43 EST
Jon,

I have since had other experiences with upgrading systems... from fc6 to fc7 and
fc8... With similar results... Systems that won't boot, failures in init,
failures in nash. Failures due to my NON usage of labels. You don't expect
people to use /dev/blah blah blah to want to upgrade?

Regards,

George...
Comment 5 Jon Stanley 2007-12-31 19:15:07 EST
George -

Thanks for your comments.  In addition to working on bug triage, I'm also a
Fedora Ambassador, so it's part of what I do to try to spread the usage of
Fedora.  I notice that the topic of this bug is an upgrade between arches (x86
and x86_64).  I don't think that this has ever been supported - the last time I
tried it I wound up with a really messed up system.

I can relate to the lack of response on this bug, my current project is to zap
other old bugs like this one.  I see quite a number of them that have been
touched by core developers, and a number of them that haven't been touched at
all, such as this one.  I'm also not a developer, just a power-user who
volunteers time to triage bugs.  I'll forward this to the QA team to see if
there's something that we can do about it (I'm rather new to the team).

PLEASE continue to use Fedora and report bugs that you see in Bugzilla.  Don't
confuse a potential lack of response with a lack of interest - the reports are
valuable.  One of the bugs that I recently triaged (bug 206655) had actually
been resolved shortly after reported, apparently, but no one bothered to update
the bug.

As for the other bugs that you mention below, have you reported them or would
you like help in doing so?  Please feel free to e-mail me with any questions or
concerns.

Thanks!
-Jon
Comment 6 Jon Stanley 2008-01-07 20:48:15 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 7 George R. Goffe 2008-01-08 22:08:49 EST
Why are you wasting my time and yours with this bug? It was submitted about a
YEAR AND A HALF AGO.

Is there a better way to report bugs so that they get LOOKED at in a reasonable
time frame?

A year and a half is NOT acceptable!

George...
Comment 8 Jon Stanley 2008-01-08 23:48:45 EST
George - 

I'm going to go ahead and close this as INSUFFICIENT_DATA.  Please be assured
that we take our issues with triage that we have extremely seriously, and there
are plans in the immediate works to remedy this.  Please see
http://fedoraproject.org/wiki/JonStanley/BugTriageIdeas for some ideas that I
had.  They will be discussed at the community (physical) meeting known as FUDCon
this weekend in Raleigh, NC, and I'll be able to get some concrete information
to you at that time.  I will do so via direct e-mail to you if you are interested.

Thanks!
-Jon

  
Comment 9 George R. Goffe 2008-01-09 02:51:53 EST
Jon,

Yes! I am interested...

I guess my disappointment is apparent.

I WANT to further the cause as it were and have a LONG (40+years) career in
computing on MANY platforms and quite a few operating systems including what I
call "down to the metal" programming. I've seen the goofs and oversights and
have, I think, a LOT to bring to the community.

I have, as I stated above, tried several times to get someone's attention but
have NOT been successful. I sometimes get the feeling that it's a good old boy
club that is afflicted with NIH syndrome (Not invented here).

I'm heavily involved right now with CentOS AND Fedora (6) AND the RedHat
variants as well.

Thanks for your response and I do look forward to your emails.

George...

Note You need to log in before you can comment on or make changes to this bug.